%define upstream_name	 HTML-TableExtract
%define upstream_version 2.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::ElementTable) >= 1.160.0
BuildRequires: perl(HTML::Parser)
BuildArch:  noarch

%description
HTML::TableExtract is a module that simplifies the extraction
of information contained in tables within HTML documents.

Tables of note may be specified using Headers, Depth, Count,
or some combination of the three. See the module documentation
for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files 
%doc Changes META.yml README
%{perl_vendorlib}/HTML
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-2.mga3
+ Revision: 368144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 2.110.0-1.mga2
+ Revision: 136544
- update to 2.11

* Wed Jan 19 2011 jquelin <jquelin> 2.100.0-1.mga1
+ Revision: 23871
- cleaning spec file
- imported package perl-HTML-TableExtract

